unit ViewSource;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus;

type
  TViewSourceForm = class(TForm)
    Memo1: TMemo;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    SaveAs1: TMenuItem;
    N1: TMenuItem;
    Close1: TMenuItem;
    SaveDialog1: TSaveDialog;
    procedure Close1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure SaveAs1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ViewSourceForm: TViewSourceForm;

implementation

{$R *.DFM}

procedure TViewSourceForm.Close1Click(Sender: TObject);
begin
   Close;
end;

procedure TViewSourceForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   Action := caFree;
end;

procedure TViewSourceForm.SaveAs1Click(Sender: TObject);
begin
   if SaveDialog1.Execute then
      Memo1.Lines.SaveToFile(SaveDialog1.FileName);
end;

end.
